.categories {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-top: 20px;
    margin-bottom: 40px;
}

.categories__actions {
    display: flex;
    flex-direction: row;
}

.categories__actions-column {
    display: flex;
    flex-direction: column;
}

.categories__actions-column:not(:last-child) {
    margin-right: 25px;
}

.categories__actions-item {
    width: 70px;
    height: 70px;
    margin-bottom: 25px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-size: 32px;
    font-weight: bold;
    color: var(--white);
    background-color: var(--light-violet);
    border: 3px solid var(--light-violet);
    border-radius: 10px;
}

.info-oral-counting {
    position: absolute;
    top: -20px;
    right: -20px;
    width: 25px;
    height: 25px;
    border: 2px solid var(--violet);
    border-radius: 50%;
}

.info-oral-counting:hover {
    transform: scale(1.1);
    transition: transform .2s ease-in-out;
}

.info-oral-counting:not(:hover) {
    transform: scale(1);
    transition: transform .2s ease-in-out;
}

.optional_int {
    position: relative;
    width: 70px;
    height: 70px;
    margin-bottom: 0;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-size: 28px;
    font-weight: bold;
    color: var(--white);
    background-color: var(--light-violet);
    border: 3px solid var(--light-violet);
    border-radius: 10px;
}

.optional_frac {
    font-size: 28px;
    margin-bottom: 0;
}

.categories__integrity {
    display: flex;
    flex-direction: column;
}

.categories__integrity-item {
    height: 70px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 0 15px;
    font-size: 32px;
    font-weight: bold;
    color: var(--white);
    background-color: var(--light-violet);
    border: 3px solid var(--light-violet);
    border-radius: 10px;
}

.categories__integrity-item:not(:last-child) {
    margin-bottom: 25px;
}

.block {
    cursor: pointer;
}

.frac_add {
    flex-direction: row;
    justify-content: space-between;
}

.frac {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.frac_elem {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 5px;
}

.unabled {
    color: var(--light-violet);
    background-color: transparent;
}

.interval {
    margin-bottom: 45px;
    color: var(--dark-grey);
    font-size: 18px;
    line-height: 1;
}

.interval__block {
    height: 58px;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 40px;
}

.interval__text {
    margin-top: 0;
    margin-bottom: 40px;
}

.interval__checkbox {
    cursor: pointer;
    width: 37.8px;
    height: 37.8px;
    margin-right: 20px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border: 2px solid var(--light-violet);
    border-radius: 7px;
}

.invisible {
    display: none;
}

.interval__choicer {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.interval__choicer-no-icon {
    margin-left: 61px;
}

.interval__choicer-input-block {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.interval__choicer-input-block > span {
    margin-right: 2px;
}

.interval__choicer-input {
    width: 200px;
    height: 24.8px;
    border: 2px solid var(--grey);
    border-radius: 7px;
    color: var(--grey);
}

.period-wrong-text {
    position: absolute;
    top: 60px;
    left: 0;
    font-size: 20px;
    color: var(--red);
}

#positioning_desc{
    font-size: 18px;
    line-height: 1;
    margin-top: 0;
    margin-bottom: 30px;
}

#numeqs_desc {
    font-size: 18px;
    line-height: 1;
    margin-top: 0;
    margin-bottom: 15px;
}

#positioning_choice {
    margin-bottom: 45px;
    display: flex;
    flex-direction: row;
}

#one_place_equantities, #dif_place_equantities {
    cursor: pointer;
    width: 50%;
    height: 50px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    color: var(--white);
    font-size: 25px;
    background-color: var(--blue);
}

.info__text {
    padding: 7px;
    border: 2px solid var(--light-violet);
    font-size: 22px;
    color: var(--dark-grey);
    margin: 0;
    text-align: center;
}

.info__link {
    color: var(--light-violet);
}

.info__link:hover {
    opacity: 0.7;
    transition: opacity .4s ease-in-out;
}

.info__link:not(:hover) {
    opacity: 1;
    transition: opacity .4s ease-in-out;
}

.start {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.start__button {
    width: 150px;
    height: 50px;
    font-size: 26px;
    border: 1px solid var(--grey);
    border-radius: 10px;
}

.start__button:hover {
    background-color: var(--grey);
    color: var(--white);
    transition: color .4s ease-in-out, background-color .4s ease-in-out;
}

.start__button:not(:hover) {
    background-color: var(--white);
    color: var(--grey);
    transition: color .4s ease-in-out, background-color .4s ease-in-out;
}

.info--data {
    display: none;
}

.invisible {
    display: none;
}

.modal-info {
    z-index: 999;
    position: fixed;
    left: 150px;
    width: calc(100% - 330px);
    padding: 30px;
    background-color: var(--white);
    font-size: 30px;
}


.bordered-info-text {
    border: 2px solid var(--light-violet);
}

.underlined-info-text {
    text-decoration: underline;
    text-decoration-color: var(--light-violet);
}

.modal-close,
.modal-choice-close,
.modal-choice-close-sign,
.modal-sign-add-close,
.modal-5-close,
.modal-progs-close {
    cursor: pointer;
    position: absolute;
    top: 5px;
    right: 5px;
    width: 20px;
    height: 20px;
    border: 1px solid black;
}

.modal-close:hover,
.modal-choice-close:hover,
.modal-choice-close-sign:hover,
.modal-sign-add-close:hover,
.modal-5-close:hover,
.modal-progs-close:hover {
    transform: scale(1.1);
    transition: transform .4s ease-in-out;
}

.modal-close:not(:hover),
.modal-choice-close:not(:hover),
.modal-sign-add-close:not(:hover),
.modal-5-close:not(:hover),
.modal-progs-close:not(:hover) {
    transform: scale(1);
    transition: transform .4s ease-in-out;
}

#overlay-modal-info, #overlay-modal-equals, #overlay-modal-sign-valid {
    position: fixed;
    z-index: 998;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--black);
    opacity: 0.7;
}

#overlay-modal-sign-valid {
    z-index: 1001;
}

#overlay-modal-choice, #overlay-modal-sign, #overlay-modal-5 {
    position: fixed;
    z-index: 996;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--black);
    opacity: 0.7;
}

#overlay-modal-sign-add {
    position: fixed;
    z-index: 998;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--black);
    opacity: 0.8;
}

.modal-choice {
    position: fixed;
    z-index: 997;
    top: 105px;
    height: calc(100% - 250px);
    left: 150px;
    width: calc(100% - 340px);
    padding: 20px;
    background-color: var(--white);
    overflow-y: scroll;
}

.modal-sign, .modal-sign-add, .modal-5 {
    position: fixed;
    z-index: 997;
    top: 105px;
    /*height: calc(100% - 250px);*/
    left: calc(50% - 220px);
    width: 400px;
    padding: 20px;
    background-color: var(--white);
    overflow-y: scroll;
}

.modal-sign-add {
    z-index: 999;
    height: 200px;
    top: calc(50% - 120px);
    flex-direction: column;
    justify-content: space-between;
}

.modal-5 {
    height: 240px;
    top: calc(50% - 140px);
    flex-direction: column;
    justify-content: space-between;
}

.sign-info-add {
    text-align: center;
    font-size: 20px !important;
}

#modal_root_choice,
#modal_signif_choice {
    z-index: 999;
    position: fixed;
    top: calc(50% - 139.1px);
    left: calc(50% - 291.5px);
    width: 550px;
    height: 209px;
    height: auto;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    background-color: var(--white);
}

#modal_root_desc,
#modal_signif_desc {
    margin: 0;
    margin-bottom: 20px;
    text-align: center;
    font-size: 20px;
    line-height: 1;
}

#modal_root_cnt,
#modal_signif_cnt {
    margin-bottom: 15px;
    font-size: 75px;
    line-height: 1;
    color: #333333;
}

#modal_root_bar,
#modal_signif_bar {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

#modal_root_minus, #modal_root_plus,
#modal_signif_minus, #modal_signif_plus,
#numeqs_minus, #numeqs_plus {
    width: 44px;
    height: 44px;
    padding: 7px;
    font-size: 27px;
    line-height: 1;
    color: #333333;
    border: 2px solid #333333;
    border-radius: 10px;
    background-color: transparent;
}

#modal_root_minus:not([disabled]):hover, #modal_root_plus:not([disabled]):hover,
#modal_signif_minus:not([disabled]):hover, #modal_signif_plus:not([disabled]):hover,
#numeqs_minus:not([disabled]):hover, #numeqs_plus:not([disabled]):hover {
    transform: scale(1.1);
    transition: transform .3s ease-in-out;
}

#modal_root_minus:not([disabled]):not(:hover), #modal_root_plus:not([disabled]):not(:hover),
#modal_signif_minus:not([disabled]):not(:hover), #modal_signif_plus:not([disabled]):not(:hover),
#numeqs_minus:not([disabled]):not(:hover), #numeqs_plus:not([disabled]):not(:hover) {
    transition: transform .3s ease-in-out;
}

#numeqs_choice {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 30px;
}

#numeqs {
    font-size: 40px;
    margin: 0 25px;
}

#modal_root_ranger,
#modal_signif_ranger {
    position: relative;
    width: 281.2px;
    height: 24px;
    display: flex;
    flex-direction: row;
}

#modal_root_ranger:after,
#modal_signif_ranger:after {
    content: '';
    position: absolute;
    z-index: 1000;
    top: -7px;
    left: -17px;
    width: 32px;
    height: 32px;
    border: 2px solid #333333;
    border-radius: 50%;
    background-color: var(--light-violet);
}

.modal_root_ranger_item,
.modal_signif_ranger_item {
    position: relative;
    width: calc(400px / 4);
    height: calc(100% - 4px);
    border-top: 2px solid #333333;
    border-bottom: 2px solid #333333;
}

.modal_signif_ranger_item {
    width: calc(400px / 3);
}

.modal_root_ranger_item:first-child,
.modal_signif_ranger_item:first-child {
    border-left: 2px solid #333333;
}

.modal_root_ranger_item:last-child,
.modal_signif_ranger_item:last-child {
    border-right: 2px solid #333333;
}

.modal_root_ranger_item:before,
.modal_signif_ranger_item:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    -webkit-transition: .3s;
    transition: .3s;
}

.modal_root_ranger_item:after,
.modal_signif_ranger_item:after {
    content: '';
    position: absolute;
    z-index: 1000;
    top: -7px;
    right: -17px;
    width: 32px;
    height: 32px;
    border: 2px solid #333333;
    border-radius: 50%;
    background-color: #FFFFFF;
}

.modal_root_added:before,
.modal_signif_added:before {
    width: 100%;
    background-color: var(--light-violet);
}

.modal_root_added:after,
.modal_signif_added:after {
    background-color: var(--light-violet);
    transition: background-color .3s ease-in-out;
}

#modal_root_btn_done,
#modal_signif_btn_done {
    padding: 8px 15px;
    font-size: 25px;
    line-height: 1;
    border: 2px solid var(--light-violet);
    border-radius: 7px;
    background-color: transparent;
    color: var(--light-violet);
}

#modal_root_btn_done:hover,
#modal_signif_btn_done:hover {
    background-color: var(--light-violet);
    color: var(--white);
    transition: all .3s ease-in-out;
}

#modal_root_btn_done:not(:hover),
#modal_signif_btn_done:not(:hover) {
    transition: all .3s ease-in-out;
}

#modal_valid_actions, #modal_valid_frac_types, #modal_valid_num_acts, #modal_valid_equals {
    position: fixed;
    z-index: 999;
    width: 300px;
    left: calc(50% - 155px);
    flex-direction: column;
    align-items: center;
    background-color: var(--white);
}

.modal_valid_span_blocks {
    border: 2px solid var(--red);
}

.modal_valid_span_blocks {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.modal_valid_top_span {
    margin-bottom: 20px;
}

.modal_valid_span_fracs {
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size: 20px;
}

.modal_valid_frac_elem {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 15px;
    line-height: 1;
}

.modal_valid_frac_elem:first-child,
.modal_valid_mixed_frac {
    margin-left: 10px;
}

.modal_valid_close, #equals-valid-close {
    padding: 7px 10px;
    font-size: 20px;
    color: var(--red);
    background-color: transparent;
    border: 1px solid var(--red);
    border-radius: 7px;
}

.modal_valid_close:hover, #equals-valid-close:hover {
    background-color: var(--red);
    color: var(--white);
    transition: all .2s ease-in-out;
}

.modal_valid_close:not(:hover), #equals-valid-close:not(:hover) {
    transition: all .2s ease-in-out;
}

.modal-sign {
    display: flex;
    flex-direction: column;
}

.top-block {
    margin-top: 10px;
    margin-bottom: 25px;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
}

.top-block-btn {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 7px 9px;
    font-size: 24px;
    font-weight: 400;
    background-color: transparent;
    color: var(--grey);
    border-color: var(--grey);
}

.active-top-btn {
    border-color: var(--dark-green) !important;
    color: var(--dark-green) !important;
}

.top-block-btn:first-child {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    border: 4px solid;
    border-right: 2px solid;
}

.top-block-btn:last-child {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border: 4px solid;
    border-left: 2px solid;
}

.hidden {
    display: none;
}

.sign-input {
    /*width: 230px;*/
    height: 40px;
    font-size: 23px;
    border: 2px solid var(--dark-grey);
    border-radius: 7px;
    color: var(--dark-grey);
}

.sign-input-block {
    display: flex;
    flex-direction: column;
}

.sign-input-block {
    margin-bottom: 25px;
}

.sign-reset-password {
    cursor: pointer;
    font-size: 20px;
    color: var(--dark-green);
    text-decoration: underline;
    text-decoration-color: var(--dark-green);
}

.sign-input-span {
    font-size: 15px;
    margin-bottom: 3px;
}

.sign-info {
    font-size: 18px;
}

.sign-in-info {
    margin-top: 20px;
    margin-bottom: 20px;
}

.red-sign, .bold-sign {
    font-weight: bold;
}

.red-sign {
    color: var(--red);
}

.sign-reg {
    text-align: center;
    margin-left: calc(50% - 140px);
    width: 280px;
    height: 50px;
    font-size: 26px;
    font-weight: normal;
    background-color: transparent;
    border: 1px solid var(--grey);
    border-radius: 10px;
    color: var(--grey);
    transition: color .3s ease-in-out, border .3s ease-in-out;
}

#reg-input-password, #sign-input-password {
    width: 230px;
}

.sign-reg:hover {
    color: var(--dark-green);
    border: 1px solid var(--dark-green);
}

#modal-sign-valid {
    position: fixed;
    z-index: 1002;
    width: 300px;
    left: calc(50% - 155px);
    flex-direction: column;
    align-items: center;
    background-color: var(--white);
    top: calc(50% - 100px);
    height: 160px;
    padding: 20px 5px;
    justify-content: space-between;
}

.sign-valid-info {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px solid var(--red);
}

.sign-valid-span {
    text-align: center;
    margin-bottom: 20px;
}

.sign-valid-btn {
    display: initial;
    padding: 7px 10px;
    font-size: 20px;
    color: var(--red);
    background-color: transparent;
    border: 1px solid var(--red);
    border-radius: 7px;
    transition: color .3s ease-in-out, background-color .3s ease-in-out;
}

.sign-valid-btn:hover {
    color: var(--white);
    background-color: var(--red);
}

.password-block {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.eye-image {
    cursor: pointer;
    margin-left: 10px;
    width: 40px;
    height: 40px;
}

@media (max-width: 1024px) {
    .modal-info {
        left: 70px;
        width: calc(100% - 200px);
        font-size: 25px;
    }

    .modal-choice {
        top: 25px;
        height: calc(100% - 90px);
        left: 35px;
        width: calc(100% - 110px);
    }
}

@media (max-width: 767px) {
    .categories {
        flex-direction: column;
        padding-top: 10px;
    }

    .categories__actions {
        justify-content: space-between;
        margin-bottom: 20px;
    }

    .categories__actions-column {
        flex-direction: row;
    }

    .categories__actions-column:not(:last-child) {
        margin-right: 0;
    }

    .categories__integrity-item,
    .categories__actions-item {
        font-size: 22px;
    }

    .categories__actions-item {
        width: 40px;
        height: 40px;
        margin-bottom: 0;
    }

    .optional,
    .optional_frac {
        font-size: 15px;
    }

    .optional_int {
        width: 40px;
        height: 40px;
        font-size: 18px;
        margin-left: 10px;
    }

    .lefted {
        margin-left: 10px;
    }

    .info-oral-counting {
        top: -15px;
        right: -15px;
        width: 20px;
        height: 20px;
    }

    .categories__integrity-item {
        padding: 0 10px;
        height: 40px;
    }

    .categories__integrity-item:not(:last-child) {
        margin-bottom: 10px;
    }

    .modal-info {
        left: 15px;
        width: calc(100% - 90px);
        font-size: 16px;
    }

    #positioning_desc,
    #division_desc,
    #numeqs_desc {
        text-align: center;
    }

    #positioning_choice,
    #division_choice {
        flex-direction: column;
    }

    #one_place_equantities, #dif_place_equantities, #division_dots, #division_slash, #division_frac {
        width: 100%;
    }

    #modal_root_choice,
    #modal_signif_choice {
        width: 282px;
        left: calc(50% - 151.5px);
        padding: 10px;
    }

    #modal_root_desc,
    #modal_signif_desc {
        font-size: 13px;
    }

    #modal_root_ranger,
    #modal_signif_ranger {
        width: 152.2px;
        height: 14px;
        left: 2px;
    }

    #modal_root_ranger:after,
    #modal_signif_ranger:after {
        top: -7px;
        left: -11.5px;
        width: 21px;
        height: 21px;
    }

    .modal_root_ranger_item:after,
    .modal_signif_ranger_item:after {
        top: -7px;
        right: -11.5px;
        width: 21px;
        height: 21px;
    }

    .modal-close-root {
        top: 0;
        right: 5px;
        width: 15px;
        height: 15px;
    }

    .modal-close-info-big-tablet {
        right: 20px;
    }

    #numeqs_choice {
        justify-content: center;
    }
}

@media (max-width: 576px) {
    .modal-choice {
        left: 0;
        width: calc(100% - 40px);
    }

    .categories__actions {
        flex-direction: column;
    }

    .categories__actions-column {
        justify-content: space-between;
    }

    .categories__actions-column:not(:last-child) {
        margin-bottom: 20px;
    }

    .categories__actions-item {
        margin-right: 0;
    }

    .interval {
        font-size: 16px;
    }

    .interval__text {
        text-align: center;
    }

    .interval__block {
        justify-content: center;
    }

    .modal-close-info-big-tablet {
        right: 10px;
    }

    #positioning_desc,
    #division_desc {
        font-size: 16px;
    }

    #one_place_equantities, #dif_place_equantities {
        font-size: 18px;
    }

    #division_dots, #division_slash, #division_frac {
        font-size: 16px;
    }

    .modal-sign {
        padding: 10px;
        width:calc(100% - 20px);
        height: calc(90% - 10px);
        top: calc(5% - 5px);
        left: 0;
    }

    .modal-sign-add {
        width: calc(100% - 20px);
        left: 0;
    }
}
